<?php

namespace App\Domain\Scraping\Domain\Model\ValueObject;

readonly class ScrapingRequest
{
    public function __construct(
        private string $sourceType,
        private string $chapterUrl,
        private array $scrapingParameters,
    ) {
    }

    public function getSourceType(): string
    {
        return $this->sourceType;
    }

    public function getChapterUrl(): string
    {
        return $this->chapterUrl;
    }

    public function getScrapingParameters(): array
    {
        return $this->scrapingParameters;
    }
}
